import React from "react";
import { observer } from "mobx-react";
import { DidRecordDto } from "@dashboard/engine-api";
import RecordItem from "../RecordItem";
import s from "./styles.module.scss";

interface CreatedDidItemProps {
  item: DidRecordDto;
  onClick?: () => void;
}

const CreatedDidItem = observer(({ item, onClick }: CreatedDidItemProps) => {
  return (
    <RecordItem onClick={onClick} rawData={item}>
      <div className={s.name}>{item.did}</div>
    </RecordItem>
  );
});

export default CreatedDidItem;
