import React from "react";
import { observer } from "mobx-react";
import { CreateInvitationResponseDto } from "@dashboard/engine-api";
import RecordItem from "../RecordItem";
import { Tag } from "antd";
import format from "date-fns/format";
import s from "./styles.module.scss";

interface CreatedInvitationItemProps {
  item: CreateInvitationResponseDto;
  onClick?: () => void;
}

const CreatedInvitationItem = observer(
  ({ item, onClick }: CreatedInvitationItemProps) => {
    return (
      <RecordItem onClick={onClick} rawData={item}>
        {item.shortInvitationUrl && (
          <div className={s.prop}>
            Short URL: <b>{item.shortInvitationUrl}</b>
          </div>
        )}
        <div className={s.prop}>
          outOfBandId: <Tag>{item.outOfBandId}</Tag>
        </div>
        <div className={s.prop}>role: {item.role}</div>
        <div className={s.prop}>state: {item.state}</div>

        <div className={s.createdAt}>
          {item.createdAt && format(item.createdAt, "dd.MM.yyyy HH:mm:ss")}
        </div>
      </RecordItem>
    );
  },
);

export default CreatedInvitationItem;
