import RequireAuth from "@dashboard/components/RequireAuth";
import React from "react";
import { Routes, Route } from "react-router-dom";
import config from "./config";

function PageRoutes() {
  return (
    <Routes>
      {Object.values(config).map((item) => (
        <Route
          key={item.route}
          path={item.route}
          element={
            <RequireAuth restricted={item.requireAuth}>
              <item.Component />
            </RequireAuth>
          }
        />
      ))}
    </Routes>
  );
}

export default PageRoutes;
