import { makeAutoObservable, runInAction } from "mobx";
import api, { CreateInvitationResponseDto } from "@dashboard/engine-api";
import displayError from "@dashboard/utils/displayError";

class CreatedInvitationListPageStore {
  public loading = false;
  public list: CreateInvitationResponseDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async getAll() {
    runInAction(() => (this.loading = true));
    try {
      const list = await api.fetchInvitations(undefined, undefined);
      runInAction(() => {
        this.list = list;
        this.loading = false;
      });
    } catch (e: unknown) {
      displayError(e);
      runInAction(() => (this.loading = false));
    }
  }
}

export type { CreatedInvitationListPageStore };

export default CreatedInvitationListPageStore;
