import { makeAutoObservable, runInAction } from "mobx";
import api, { CreddefRecordDto } from "@dashboard/engine-api";
import displayError from "@dashboard/utils/displayError";

class CredentialDefListPageStore {
  public loading = false;
  public list: CreddefRecordDto[] = [];
  constructor() {
    makeAutoObservable(this);
  }

  public async getAll() {
    runInAction(() => (this.loading = true));
    try {
      const list = await api.fetchCredentialDefinitions();
      runInAction(() => {
        this.list = list;
        this.loading = false;
      });
    } catch (e: unknown) {
      displayError(e);
      runInAction(() => (this.loading = false));
    }
  }
}

export type { CredentialDefListPageStore };

export default CredentialDefListPageStore;
